## libdbusmenu 16.04.1+18.04.20171206

=== debian/changelog ===
libdbusmenu (16.04.1+18.04.20171206-0ubuntu2) bionic; urgency=medium

  * Added debian/patches/fix-gtkdoc-checks.patch:
    - Fix FTBFS on bionic (LP: #1813583).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 25 Jan 2019 13:22:04 +0100

libdbusmenu (16.04.1+18.04.20171206-0ubuntu1) bionic; urgency=medium

  * Drop unneeded dependency from libdbusmenu-glib-dev to libgtk2.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Dec 2017 15:59:26 +0000
