=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9),
               quilt,
               dh-autoreconf,
               libtool,
               intltool,
               gnome-common,
               gtk-doc-tools,
               valgrind [!arm64 !ppc64el],
               dbus-test-runner,
               xvfb,
               libglib2.0-dev (>= 2.35.4),
               libgtk2.0-dev (>= 2.24.4-1~),
               libgtk-3-dev (>= 2.99.2-1ubuntu2),
               libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
               libdbus-glib-1-dev,
               libatk1.0-dev,
               libjson-glib-dev (>= 0.13.4),
               gobject-introspection (>= 1.41.4-1~),
               libgirepository1.0-dev (>= 0.9.3),
               libx11-dev (>= 1.3), 
               valac (>= 0.16),
Standards-Version: 3.9.2
Homepage: https://launchpad.net/dbusmenu
# If you aren't a member of ~dbusmenu-team but need to upload
# packaging changes, just go ahead.  ~dbusmenu-team will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
         libdbusmenu-glib4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76)
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
         libdbusmenu-gtk4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0),
         libdbusmenu-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         libdbusmenu-glib4 (= ${binary:Version}),
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-gtk4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-jsonloader4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (= ${binary:Version}),
         libjson-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in 
 applications or libraries using dbusmenu.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk-3-dev (>= 2.91.4-0ubuntu1),
         libdbusmenu-glib-dev,
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         ${gir:Depends},
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.
