## libdbusmenu 18.10.20180917~bzr490+repack1

=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr490+repack1-1) unstable; urgency=medium

  * New upstream Bazaar snapshot.
  * debian/patches:
    + Drop 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
  * debian/rules:
    + Switch to repacking Bzr snapshot rather than using Ubuntu package
      archive as upstream.
  * debian/control:
    + Bump Standards-Version. to 4.2.1. No changes needed.
  * debian/watch:
    + Add dversionmangle option (even though we pull from lp:libdbusmenu
      directly.
  * debian/copyright:
    + Explain why we repack the orig tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Sep 2018 14:29:23 +0200

libdbusmenu (16.04.1+18.04.20171206-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Use Section: libs for src:package.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Drop B-D dh-autoreconf. Implicitly pulled in by DH >= 10.
    + Fix typo in Maintainer: field (in the full name).
    + Omit valgrind from B-D on ia64 and riscv64 architectures. (Closes:
      #895577).
  * debian/{control,compat}: Bump to DH compat level 11.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/changelog: White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jul 2018 10:53:14 +0200
