=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu5) noble; urgency=medium

  * No-change rebuild against libatk1.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:26:42 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:54:17 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:58:22 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:20:15 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3.1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - List Ubuntu VCS, not Debian.
    - Build with hardening=+all.
    - Don't point debian/watch at archive.ubuntu.com.
    - Correct wrong debian/copyright claims of individual copyright for work
      done by Canonical.
  * Drop dependency on libdbus-glib-1-dev that was accidentally carried
    forward after dropped in Debian.
  * Drop spurious debian/control delta, previously overlooked.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2023 23:09:22 -0800

libdbusmenu (18.10.20180917~bzr492+repack1-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Replace libgdk-pixbuf2.0-dev with libgdk-pixbuf-2.0-dev (Closes: #1037384)
  * Drop GTK2 packages and dbusmenu-dumper tool (Closes: #967570)
  * Actually drop build dependency on quilt

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 12:59:51 +0000

libdbusmenu (18.10.20180917~bzr492+repack1-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable, remaining changes:
    - List Ubuntu VCS, not Debian.
    - Build with hardening=+all.
    - Don't point debian/watch at archive.ubuntu.com...
  * Dropped changes, included in Debian:
    - Remove empty documentation indexes, the new gtk-doc doesn't generate
      those anymore if there is no content.
    - Prevent test-json from failing because of "Using cross-namespace
      EXTERNAL authentication" warning
    - tests: don't use gtester for gtkdoc-check tests
  * Dropped changes, superseded in Debian:
    - Hard-code python2 instead of python.
    - Disable valgrind on riscv64. It's not there yet.
  * Correct wrong debian/copyright claims of individual copyright for work
    done by Canonical.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Dec 2022 17:32:29 -0800

libdbusmenu (18.10.20180917~bzr492+repack1-3) unstable; urgency=medium

  * debian/control:
    + Switch to B-D valgrind-if-vailable.
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/patches:
    + Add 0004_prevent-test-json-from-failing.patch. Prevent test-json from
      failing due to 'Using cross-namespace EXTERNAL authentication' warning.
      (Closes: #1020076).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Nov 2022 11:04:11 +0100

libdbusmenu (18.10.20180917~bzr492+repack1-2) unstable; urgency=medium

  * debian/control:
    + Drop no-op B-D and D on libdbus-glib-1-dev. (Closes: #954106, 954108).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Mar 2020 14:12:09 +0100

libdbusmenu (18.10.20180917~bzr492+repack1-1) unstable; urgency=medium

  * New upstream Bazaar snapshot.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH comat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Switch D (libdbusmenu-tools): python -> python3. (Closes: #936848).
  * debian/patches:
    + Add 0002_fix-ftbfs-gtk-doc-1-32.patch. Fix FTBFS against gtk-doc (>=
      1.32). (Closes: #939955).
    + Add 0003_port-tools-dbusmenu-bench-to-py3.patch. Port script from Py2
      to Py3.
  * debian/libdbusmenu-tools.install:
    + Tools get now installed to libexec dir.
  * debian/*.symbols:
    + Add Build-Depends-Package: meta data fields.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Nov 2019 16:04:19 +0100

libdbusmenu (16.04.1+22.10.20220928.1-0ubuntu1) kinetic; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Prevent test-json from failing because of "Using cross-namespace
    EXTERNAL authentication" warning (LP: #1991138).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 28 Sep 2022 22:22:46 +0000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu8) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:10:53 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu7) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:14:52 +0200

libdbusmenu (16.04.1+18.10.20180917-0ubuntu6) focal; urgency=medium

  * Disable valgrind on riscv64. It's not there yet.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 15:54:52 +1000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu5) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:21 +0000

libdbusmenu (16.04.1+18.10.20180917-0ubuntu4) focal; urgency=medium

  * Remove empty documentation indexes, the new gtk-doc doesn't generate
    those anymore if there is no content, fix the build current failing
    in focal.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jan 2020 13:52:09 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu3) focal; urgency=medium

  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:08:01 +0100

libdbusmenu (16.04.1+18.10.20180917-0ubuntu2) eoan; urgency=medium

  * Build without Werror to fix the build with the new glib (lp: #1843744)


