=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: libdbusmenu
 Section: libs
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus-test-runner,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  gnome-common,
  gobject-introspection (>= 1.41.4-1~),
  gtk-doc-tools,
  intltool,
  libatk1.0-dev,
- libdbus-glib-1-dev,
- libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
+ libgdk-pixbuf-2.0-dev,
  libgirepository1.0-dev (>= 0.9.3),
  libglib2.0-dev (>= 2.35.4),
  libgtk-3-dev (>= 2.99.2-1ubuntu2),
- libgtk2.0-dev (>= 2.24.4-1~),
  libjson-glib-dev (>= 0.13.4),
  libtool,
  libx11-dev (>= 1.3),
- quilt,
  valac (>= 0.16),
- valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32 !ia64 !riscv64],
+ valgrind-if-available,
  xauth,
  xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://launchpad.net/dbusmenu
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libdbusmenu.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libdbusmenu
+# If you aren't a member of ~dbusmenu-team but need to upload
+# packaging changes, just go ahead.  ~dbusmenu-team will notice
+# and sync up the code again.
+Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
+Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files
 
 Package: gir1.2-dbusmenu-glib-0.4
 Section: introspection
@@ -45,21 +47,6 @@
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings for libdbusmenu-glib4.
-
-Package: gir1.2-dbusmenu-gtk-0.4
-Section: introspection
-Architecture: any
-Multi-Arch: same
-Depends: libdbusmenu-gtk4 (= ${binary:Version}),
- ${gir:Depends},
- ${misc:Depends},
-Description: typelib file for libdbusmenu-gtk4 (GTK-2 variant)
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libdbusmenu-gtk4.
 
 Package: gir1.2-dbusmenu-gtk3-0.4
 Section: introspection
@@ -80,9 +67,7 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
  libdbusmenu-glib4 (= ${binary:Version}),
- libgtk2.0-dev (>= 2.12.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
@@ -115,24 +100,6 @@
  .
  This package contains shared libraries to be used by applications.
 
-Package: libdbusmenu-gtk-dev
-Section: libdevel
-Architecture: any
-Depends: gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
- libdbusmenu-glib-dev,
- libdbusmenu-gtk4 (= ${binary:Version}),
- libgtk2.0-dev (>= 2.12.0),
- ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: same
-Description: library for passing menus over DBus - GTK-2+ version development files
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package contains files that are needed to build GTK-2+ applications.
-
 Package: libdbusmenu-gtk-doc
 Section: doc
 Architecture: all
@@ -159,7 +126,6 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
- libdbus-glib-1-dev (>= 0.76),
  libdbusmenu-glib-dev,
  libdbusmenu-gtk3-4 (= ${binary:Version}),
  libgtk-3-dev (>= 2.91.4-0ubuntu1),
@@ -173,22 +139,10 @@
  .
  This package contains files that are needed to build GTK-3+ applications.
 
-Package: libdbusmenu-gtk4
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
-Description: library for passing menus over DBus - GTK-2+ version
- libdbusmenu passes a menu structure across DBus so that a program can
- create a menu simply without worrying about how it is displayed on the
- other side of the bus.
- .
- This package contains shared libraries to be used by GTK-2+ applications.
-
 Package: libdbusmenu-jsonloader-dev
 Section: libdevel
 Architecture: any
-Depends: libdbus-glib-1-dev (>= 0.76),
- libdbusmenu-glib-dev (= ${binary:Version}),
+Depends: libdbusmenu-glib-dev (= ${binary:Version}),
  libdbusmenu-jsonloader4 (= ${binary:Version}),
  libjson-glib-dev,
  ${misc:Depends},
@@ -218,7 +172,7 @@
 Section: devel
 Architecture: any
 Depends: libdbusmenu-glib4 (= ${binary:Version}),
- python,
+ python3,
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: foreign
