## libdbusmenu 18.10.20180917~bzr492+repack1

=== debian/changelog ===
libdbusmenu (18.10.20180917~bzr492+repack1-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Add debian/gbp.conf
  * Drop unneeded dependency from libdbusmenu-glib-dev to libgtk2.0-dev

  [ Steve Langasek ]
  * Correct wrong debian/copyright claims of individual copyright for work done by Canonical.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 14:23:25 -0500
