=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libdbusmenu
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: dbus-test-runner,
@@ -27,11 +26,8 @@
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/dbusmenu
-# If you aren't a member of ~dbusmenu-team but need to upload
-# packaging changes, just go ahead.  ~dbusmenu-team will notice
-# and sync up the code again.
-Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04
-Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/dbusmenu/trunk.13.04/files
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libdbusmenu.git
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libdbusmenu
 
 Package: gir1.2-dbusmenu-glib-0.4
 Section: introspection
